股票研究
curl --request POST \
--url https://api.glasser.ai/v1/solutions/finance/stock_research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"ticker": "<string>",
"cik": "<string>",
"bank": "<string>",
"series": "<string>",
"limit": 50,
"cursor": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"metric_name": "<string>",
"filters": [
{
"field": "<string>",
"value": 123
}
],
"describe_filters": true,
"report_period": "<string>",
"report_period_gte": "<string>",
"report_period_lte": "<string>",
"report_period_gt": "<string>",
"report_period_lt": "<string>",
"filing_date": "<string>",
"filing_date_gte": "<string>",
"filing_date_lte": "<string>",
"filing_date_gt": "<string>",
"filing_date_lt": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.glasser.ai/v1/solutions/finance/stock_research"
payload = {
"ticker": "<string>",
"cik": "<string>",
"bank": "<string>",
"series": "<string>",
"limit": 50,
"cursor": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"metric_name": "<string>",
"filters": [
{
"field": "<string>",
"value": 123
}
],
"describe_filters": True,
"report_period": "<string>",
"report_period_gte": "<string>",
"report_period_lte": "<string>",
"report_period_gt": "<string>",
"report_period_lt": "<string>",
"filing_date": "<string>",
"filing_date_gte": "<string>",
"filing_date_lte": "<string>",
"filing_date_gt": "<string>",
"filing_date_lt": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: '<string>',
cik: '<string>',
bank: '<string>',
series: '<string>',
limit: 50,
cursor: '<string>',
start_date: '<string>',
end_date: '<string>',
metric_name: '<string>',
filters: [{field: '<string>', value: 123}],
describe_filters: true,
report_period: '<string>',
report_period_gte: '<string>',
report_period_lte: '<string>',
report_period_gt: '<string>',
report_period_lt: '<string>',
filing_date: '<string>',
filing_date_gte: '<string>',
filing_date_lte: '<string>',
filing_date_gt: '<string>',
filing_date_lt: '<string>',
max_charge_usd: '<string>',
task_id: '<string>',
metadata: {}
})
};
fetch('https://api.glasser.ai/v1/solutions/finance/stock_research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/stock_research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => '<string>',
'cik' => '<string>',
'bank' => '<string>',
'series' => '<string>',
'limit' => 50,
'cursor' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'metric_name' => '<string>',
'filters' => [
[
'field' => '<string>',
'value' => 123
]
],
'describe_filters' => true,
'report_period' => '<string>',
'report_period_gte' => '<string>',
'report_period_lte' => '<string>',
'report_period_gt' => '<string>',
'report_period_lt' => '<string>',
'filing_date' => '<string>',
'filing_date_gte' => '<string>',
'filing_date_lte' => '<string>',
'filing_date_gt' => '<string>',
'filing_date_lt' => '<string>',
'max_charge_usd' => '<string>',
'task_id' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/stock_research"
payload := strings.NewReader("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glasser.ai/v1/solutions/finance/stock_research")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/stock_research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"ticker": "<string>",
"cik": "<string>",
"name": "<string>",
"industry": "<string>",
"sector": "<string>",
"exchange": "<string>",
"location": "<string>",
"sic_code": "<string>",
"sic_sector": "<string>",
"sic_industry": "<string>",
"is_active": true,
"sec_filings_url": "<string>",
"market_cap": 123,
"currency": "<string>"
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "company",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"ticker": "<string>",
"cik": "<string>",
"name": "<string>",
"industry": "<string>",
"sector": "<string>",
"exchange": "<string>",
"location": "<string>",
"sic_code": "<string>",
"sic_sector": "<string>",
"sic_industry": "<string>",
"is_active": true,
"sec_filings_url": "<string>",
"market_cap": 123,
"currency": "<string>"
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "company",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "endpoint_not_permitted",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "service_unavailable",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}Solutions
股票研究
通过 FinancialDatasets 读取公司财务、估值、指引、股价、筛选结果和宏观数据。
POST
/
v1
/
solutions
/
finance
/
stock_research
股票研究
curl --request POST \
--url https://api.glasser.ai/v1/solutions/finance/stock_research \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'idempotency-key: <idempotency-key>' \
--data '
{
"ticker": "<string>",
"cik": "<string>",
"bank": "<string>",
"series": "<string>",
"limit": 50,
"cursor": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"metric_name": "<string>",
"filters": [
{
"field": "<string>",
"value": 123
}
],
"describe_filters": true,
"report_period": "<string>",
"report_period_gte": "<string>",
"report_period_lte": "<string>",
"report_period_gt": "<string>",
"report_period_lt": "<string>",
"filing_date": "<string>",
"filing_date_gte": "<string>",
"filing_date_lte": "<string>",
"filing_date_gt": "<string>",
"filing_date_lt": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
'import requests
url = "https://api.glasser.ai/v1/solutions/finance/stock_research"
payload = {
"ticker": "<string>",
"cik": "<string>",
"bank": "<string>",
"series": "<string>",
"limit": 50,
"cursor": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"metric_name": "<string>",
"filters": [
{
"field": "<string>",
"value": 123
}
],
"describe_filters": True,
"report_period": "<string>",
"report_period_gte": "<string>",
"report_period_lte": "<string>",
"report_period_gt": "<string>",
"report_period_lt": "<string>",
"filing_date": "<string>",
"filing_date_gte": "<string>",
"filing_date_lte": "<string>",
"filing_date_gt": "<string>",
"filing_date_lt": "<string>",
"max_charge_usd": "<string>",
"task_id": "<string>",
"metadata": {}
}
headers = {
"idempotency-key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'idempotency-key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ticker: '<string>',
cik: '<string>',
bank: '<string>',
series: '<string>',
limit: 50,
cursor: '<string>',
start_date: '<string>',
end_date: '<string>',
metric_name: '<string>',
filters: [{field: '<string>', value: 123}],
describe_filters: true,
report_period: '<string>',
report_period_gte: '<string>',
report_period_lte: '<string>',
report_period_gt: '<string>',
report_period_lt: '<string>',
filing_date: '<string>',
filing_date_gte: '<string>',
filing_date_lte: '<string>',
filing_date_gt: '<string>',
filing_date_lt: '<string>',
max_charge_usd: '<string>',
task_id: '<string>',
metadata: {}
})
};
fetch('https://api.glasser.ai/v1/solutions/finance/stock_research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.glasser.ai/v1/solutions/finance/stock_research",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ticker' => '<string>',
'cik' => '<string>',
'bank' => '<string>',
'series' => '<string>',
'limit' => 50,
'cursor' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'metric_name' => '<string>',
'filters' => [
[
'field' => '<string>',
'value' => 123
]
],
'describe_filters' => true,
'report_period' => '<string>',
'report_period_gte' => '<string>',
'report_period_lte' => '<string>',
'report_period_gt' => '<string>',
'report_period_lt' => '<string>',
'filing_date' => '<string>',
'filing_date_gte' => '<string>',
'filing_date_lte' => '<string>',
'filing_date_gt' => '<string>',
'filing_date_lt' => '<string>',
'max_charge_usd' => '<string>',
'task_id' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"idempotency-key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.glasser.ai/v1/solutions/finance/stock_research"
payload := strings.NewReader("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("idempotency-key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.glasser.ai/v1/solutions/finance/stock_research")
.header("idempotency-key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.glasser.ai/v1/solutions/finance/stock_research")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["idempotency-key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ticker\": \"<string>\",\n \"cik\": \"<string>\",\n \"bank\": \"<string>\",\n \"series\": \"<string>\",\n \"limit\": 50,\n \"cursor\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"metric_name\": \"<string>\",\n \"filters\": [\n {\n \"field\": \"<string>\",\n \"value\": 123\n }\n ],\n \"describe_filters\": true,\n \"report_period\": \"<string>\",\n \"report_period_gte\": \"<string>\",\n \"report_period_lte\": \"<string>\",\n \"report_period_gt\": \"<string>\",\n \"report_period_lt\": \"<string>\",\n \"filing_date\": \"<string>\",\n \"filing_date_gte\": \"<string>\",\n \"filing_date_lte\": \"<string>\",\n \"filing_date_gt\": \"<string>\",\n \"filing_date_lt\": \"<string>\",\n \"max_charge_usd\": \"<string>\",\n \"task_id\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"ticker": "<string>",
"cik": "<string>",
"name": "<string>",
"industry": "<string>",
"sector": "<string>",
"exchange": "<string>",
"location": "<string>",
"sic_code": "<string>",
"sic_sector": "<string>",
"sic_industry": "<string>",
"is_active": true,
"sec_filings_url": "<string>",
"market_cap": 123,
"currency": "<string>"
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "company",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {},
"output": {
"ticker": "<string>",
"cik": "<string>",
"name": "<string>",
"industry": "<string>",
"sector": "<string>",
"exchange": "<string>",
"location": "<string>",
"sic_code": "<string>",
"sic_sector": "<string>",
"sic_industry": "<string>",
"is_active": true,
"sec_filings_url": "<string>",
"market_cap": 123,
"currency": "<string>"
},
"provider_response": {
"http_status": 349,
"error": null
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"action": "company",
"result_status": "success",
"error": {
"code": "<string>",
"message": "<string>"
},
"runs": [
{
"id": "<string>",
"run_url": "<string>",
"provider": "<string>",
"endpoint": "<string>",
"endpoint_version": 123,
"status": "QUEUED",
"failure": {
"kind": "TIMED_OUT",
"message": "<string>"
},
"input": {
"omitted": true
},
"output": {
"omitted": true
},
"provider_response": {
"http_status": 349
},
"charge_usd": "<string>",
"charge_basis": {
"clause": "rule",
"quantity": 1
},
"stoppable": true,
"stop_requested_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"task_id": "<string>",
"metadata": {},
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
}
}
],
"result_url": "<string>",
"response_file": {
"body_field": "output",
"state": "available",
"download_url": "<string>",
"link_expires_at": "2023-11-07T05:31:56Z",
"file_expires_at": "2023-11-07T05:31:56Z",
"bytes": 1,
"sha256": "<string>",
"content_type": "application/json"
},
"review_invitation": {
"run_id": "<string>",
"ratings": [
"exceeds_expectations"
],
"instruction": "<string>"
},
"request_charge": {
"charge_usd": "<string>",
"created_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"replayed_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"unknown_run_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
}{
"error": {
"code": "validation_failed",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "unauthorized",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "insufficient_balance",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "endpoint_not_permitted",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "idempotency_conflict",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "rate_limited",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}{
"error": {
"code": "service_unavailable",
"message": "<string>",
"reason": "<string>",
"control": "<string>",
"retry_after_ms": 123,
"details": {}
},
"request_id": "<string>"
}选择 action 及其期别或模式。每个请求创建一个 Run;缺失值保持
null。财务比率采用小数,宏观利率采用百分数。分别读取 result_status 和 charge_usd。筛选前使用 action: screen 与 describe_filters: true 读取可用字段。Provider 原生输出保留在 Run 上。请求头
请求体
application/json
每个请求执行一次 FinancialDatasets 操作。未使用的字段在收费前被拒绝。空数据仍可能收费。不换汇、不估算缺失值、不自动翻页。
响应
成功
财务金额保留币种;比率与增长率保持原始小数(0.3 表示 30%)。宏观利率与股价 day_change_percent 是百分数。缺失字段为 null。Run completed_at 是取数时间,不能代替观察日期。
以 JSON 文件完整交付较大的 Provider 正文。Glasser 对接收的正文和序列化文件应用 32 MiB 的运行时资源保护。body_field 指明被替代的字段;output 为 null,或省略 provider_response.error。下载链接最多一小时后过期。在文件的 7 天可用期内,通过已认证的 Get Run 刷新链接。读取和下载不会再次执行 Run 或重复收费。state 为 link_pending 时,读取同一 Run 即可准备链接,不会再次执行或重复收费。链接授予临时读取权限,请仅与预期接收者分享。
Show child attributes
Show child attributes